# class Gem::SourceFetchProblem

An error that indicates we weren’t able to fetch some data from a source

### Attributes

error [R]

The fetch error which is an `Exception` subclass.

exception [R]

The fetch error which is an `Exception` subclass.

source [R]

The source that had the fetch problem.

### Public Class Methods

new (source, error)
Source

    # File lib/rubygems/errors.rb, line 150
    def initialize(source, error)
      @source = source
      @error = error
    end

Creates a new `SourceFetchProblem` for the given `source` and `error`.

### Public Instance Methods

wordy ()
Source

    # File lib/rubygems/errors.rb, line 168
    def wordy
      "Unable to download data from #{Gem::Uri.redact(@source.uri)} - #{@error.message}"
    end

An `English` description of the error.